.promotions-page {
  padding-top: 33px;

  .section-promotions {
    .section {
      margin-top: 75px;
      margin-bottom: 77px;

      &__item:last-child {
        margin-bottom: 0;
      }

      &__item {
        position: relative;
        width: 683px;
        height: 326px;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        margin-bottom: 49px;
        border: 2px solid $colorDarkSecond;
        box-shadow: 0 3px 6px #00000029;
        border-radius: 8px;

        &__content {
          z-index: 1;
          padding: 0 44px 30px 40px;
          display: flex;
          justify-content: space-between;
          &.content-button {
            padding-bottom: 20px;
          }
          .button {
            min-width: 0;
            max-width: 180px;
            margin-top: 20px;
          }
          .h2, .h3 {
            color: $colorGreen;
            max-width: 325px;
            margin-bottom: 16px;
          }

          .h3 {
            margin-bottom: 0;
            color: $colorDark;
            max-width: 236px;
            font-weight: 500;
            font-size: calculateSize(14);
            line-height: calculateSize(24);
          }

          .deadline-text {
            font-size: calculateSize(10);
            line-height: calculateSize(18);
            font-weight: 600;
            opacity: 0.6;
            color: $colorDark;
          }
          .buttons {
            display: flex;
            align-items: flex-end;
            max-width: 150px;
            flex-direction: column;
            justify-content: flex-end;
          }
        }

        &__bg-image {
          position: absolute;
          left: 0;
          top: 0;
          height: 100%;
        }

        &__bg-price {
          z-index: 2;
          position: absolute;
          top: 36px;
          right: 44px;

          .img-price {
            position: relative;

            svg {
              width: 144px;
              height: 130px;
            }

            &__text-price {
              position: absolute;
              top: 34px;
              left: 20px;
              width: 100%;
              max-width: 112px;
              //old price
              .content {
                text-decoration: line-through;
              }

              //new price
              .h2 {
                font-size: calculateSize(28);
                line-height: calculateSize(32);
              }

              .content, .h2 {
                text-align: center;
                color: $colorWhite;
              }
            }
          }
        }
      }

    }
  }
}

@include screen-max(md) {
  .promotions-page {
    .section-promotions {
      .section {
        margin-top: 66px;
        margin-bottom: 20px;
        display: flex;
        flex-direction: column;
        align-items: center;

        &__item {
          width: 100%;
          height: 425px;
          justify-content: unset;

          &__bg-image {
            left: 0;
            top: unset;
            bottom: 0;
            width: 100%;
            height: auto;
          }

          &__bg-price {
            top: 25px;
            right: 25px;

            .img-price {
              svg {
                width: 111px;
                height: 97px;
              }

              &__text-price {
                top: 20px;
                left: 0;

                .content {
                  font-size: calculateSize(14);
                }

                .h2 {
                  font-size: calculateSize(18);
                }
              }
            }
          }

          &__content {
            padding: 54px 44px 30px 40px;
            height: 100%;
            flex-direction: column;

            .h2, .h3 {
              max-width: 236px;
            }

            .h2 {
              font-size: calculateSize(28);
              line-height: calculateSize(40);
              margin-bottom: 20px;
            }

            .h3 {
              font-size: calculateSize(14);
              line-height: calculateSize(24);
            }

            .deadline-text {
              text-align: left;
              width: 50%;
            }
          }
        }
      }
    }
  }
}
